curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{sandboxId}/tunnels' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"tunnels": [
{
"tunnel_id": "string",
"sandbox_id": "string",
"port": 1,
"protocol": "string",
"url": "string",
"expires_at": "2026-07-24T12:00:00Z",
"token": "string"
}
]
}
List tunnels
Lists active tunnels for a sandbox
GET
/
api
/
v1
/
sandbox
/
{sandboxId}
/
tunnels
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{sandboxId}/tunnels' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"tunnels": [
{
"tunnel_id": "string",
"sandbox_id": "string",
"port": 1,
"protocol": "string",
"url": "string",
"expires_at": "2026-07-24T12:00:00Z",
"token": "string"
}
]
}
Lists active tunnels for a sandbox
Path parameters
string (uuid)
required
Unique sandbox identifier
Response
TunnelListResponse
Status codes
| Code | Meaning |
|---|---|
200 | Tunnel list |
401 | โ |
404 | โ |
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/sandbox/{sandboxId}/tunnels' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"tunnels": [
{
"tunnel_id": "string",
"sandbox_id": "string",
"port": 1,
"protocol": "string",
"url": "string",
"expires_at": "2026-07-24T12:00:00Z",
"token": "string"
}
]
}